Class | Chef::Cookbook::FileVendor
In: | lib/chef/cookbook/file_vendor.rb
Parent: | Object

## Chef::Cookbook::FileVendor

This class handles fetching of cookbook files based on specificity.

### Methods

create_from_manifest get_filename on_create

### Public Class methods

create_from_manifest(manifest)

Factory method that creates the appropriate kind of Cookbook::FileVendor to serve the contents of the manifest

on_create(&block)

### Public Instance methods

get_filename(filename)

Gets the on-disk location for the given cookbook file.

Subclasses are responsible for determining exactly how the files are obtained and where they are stored.

[Validate]